org.eclipse.cdt.core.dom.ast

## Interface IASTArrayModifier

All Superinterfaces:
  IASTAttributeOwner, IASTNode

All Known Subinterfaces:
  ICASTArrayModifier

    public interface IASTArrayModifier
    extends IASTAttributeOwner

This is the portion of the node that represents the portions when someone declares a variable/type which is an array.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `CONSTANT_EXPRESSION` Node property that describes the relationship between an `IASTArrayModifier` and an `IASTExpression`.
`static IASTArrayModifier[]` `EMPTY_ARRAY` `EMPTY_ARRAY` is referred to in implementations

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTArrayModifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTArrayModifier` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`IASTExpression` `getConstantExpression()` Get the constant expression that represents the size of the array.
`void` `setConstantExpression(IASTExpression expression)` Set the constant expression that represents the size of the array.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### CONSTANT_EXPRESSION

    static final ASTNodeProperty CONSTANT_EXPRESSION

Node property that describes the relationship between an `IASTArrayModifier` and an `IASTExpression`.

#### EMPTY_ARRAY

    static final IASTArrayModifier[] EMPTY_ARRAY

`EMPTY_ARRAY` is referred to in implementations

### Method Detail

#### getConstantExpression

    IASTExpression getConstantExpression()

Get the constant expression that represents the size of the array.

Returns:
  `IASTExpression`

#### setConstantExpression

    void setConstantExpression(IASTExpression expression)

Set the constant expression that represents the size of the array.

Parameters:
  `expression` - `IASTExpression`

#### copy

    IASTArrayModifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Since:
  5.1

#### copy

    IASTArrayModifier copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3